Bug 1086514 (CVE-2013-7353) - CVE-2013-7353 libpng: integer overflow leading to a heap-based buffer overflow in png_set_unknown_chunks()
Summary: CVE-2013-7353 libpng: integer overflow leading to a heap-based buffer overflo...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-7353
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140411,repor...
Depends On: 1086669 1086670 1086671 1086672 1086673 1086674
Blocks: 1086521
TreeView+ depends on / blocked
 
Reported: 2014-04-11 03:53 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 19:59 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-21 09:03:58 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2014-04-11 03:53:57 UTC
An integer overflow leading to a heap-based buffer overflow was found in the png_set_unknown_chunks() API function of libpng. A attacker could create a specially-crafated image file and render it with an application written to explicitly call png_set_unknown_chunks() function, could cause libpng to crash or execute arbitrary code with the permissions of the user running such an application.

The vendor mentions that internal calls use safe values. These issues could potentially affect applications that use the libpng API. Apparently no such applications were identified.

Reference:

http://sourceforge.net/p/libpng/bugs/199/
http://seclists.org/oss-sec/2014/q2/83

Comment 1 Huzaifa S. Sidhpurwala 2014-04-11 09:15:24 UTC
This issue was addressed by the following upstream commit:

http://sourceforge.net/p/libpng/code/ci/9dd2bfafe50de0e3204be81a90303760d26a697c

and was later enhanced by the following commit:

http://sourceforge.net/p/libpng/code/ci/2414bd99d8c76f92ca9272f1b1b1eff55709298a

Upstream released libpng-1.6.0 and libpng-1.5.14 to address this issue.

Comment 3 Huzaifa S. Sidhpurwala 2014-04-11 09:47:28 UTC
Created libpng tracking bugs for this issue:

Affects: fedora-19 [bug 1086669]

Comment 4 Huzaifa S. Sidhpurwala 2014-04-11 09:47:33 UTC
Created libpng10 tracking bugs for this issue:

Affects: epel-6 [bug 1086673]

Comment 5 Huzaifa S. Sidhpurwala 2014-04-11 09:47:37 UTC
Created libpng15 tracking bugs for this issue:

Affects: fedora-20 [bug 1086670]

Comment 6 Huzaifa S. Sidhpurwala 2014-04-11 09:47:42 UTC
Created mingw-libpng tracking bugs for this issue:

Affects: fedora-19 [bug 1086671]

Comment 7 Huzaifa S. Sidhpurwala 2014-04-11 09:47:46 UTC
Created mingw32-libpng tracking bugs for this issue:

Affects: epel-5 [bug 1086672]
Affects: epel-6 [bug 1086674]

Comment 8 Huzaifa S. Sidhpurwala 2014-04-21 07:54:24 UTC
Statement:

Not vulnerable. This issue does not affect the version of libpng as shipped with Red Hat Enterprise Linux 5 and 6.


Note You need to log in before you can comment on or make changes to this bug.